Public Member Functions | Protected Member Functions | Related Functions

# Clutter::Effect Class Reference

Inherits Clutter::ActorMeta.

Collaboration diagram for Clutter::Effect:
[legend]

List of all members.

## Public Member Functions
virtual | ~Effect ()
ClutterEffect* | gobj ()
| Provides access to the underlying C GObject.
const ClutterEffect* | gobj () const
| Provides access to the underlying C GObject.
ClutterEffect* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
## Protected Member Functions
| Effect ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Clutter::Effect > | wrap (ClutterEffect* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::Effect::~Effect | ( |  | ) | `[virtual]`

Clutter::Effect::Effect | ( |  | ) | `[protected]`

## Member Function Documentation

ClutterEffect* Clutter::Effect::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::ActorMeta.

const ClutterEffect* Clutter::Effect::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Clutter::ActorMeta.

ClutterEffect* Clutter::Effect::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Clutter::ActorMeta.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::Effect > wrap | ( | ClutterEffect * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/effect.h